GDB (xrefs)

Public Attributes | List of all members
symbol_impl Struct Reference

`#include "symtab.h"`

## Public Attributes
enum address_class | aclass
const struct symbol_computed_ops * | ops_computed
const struct symbol_block_ops * | ops_block
const struct symbol_register_ops * | ops_register

## Detailed Description

Definition at line 1018 of file symtab.h.

## Member Data Documentation

## ◆ aclass

enum address_class symbol_impl::aclass

Definition at line 1020 of file symtab.h.

Referenced by initialize_ordinary_address_classes(), register_symbol_block_impl(), register_symbol_computed_impl(), and register_symbol_register_impl().

## ◆ ops_block

const struct symbol_block_ops* symbol_impl::ops_block

Definition at line 1026 of file symtab.h.

Referenced by register_symbol_block_impl().

## ◆ ops_computed

const struct symbol_computed_ops* symbol_impl::ops_computed

Definition at line 1023 of file symtab.h.

Referenced by register_symbol_computed_impl().

## ◆ ops_register

const struct symbol_register_ops* symbol_impl::ops_register

Definition at line 1029 of file symtab.h.

Referenced by register_symbol_register_impl().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/symtab.h